"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasePreset = void 0;
const tslib_1 = require("tslib");
const BaseSchema_1 = require("./BaseSchema");
const BaseInputRules_1 = require("./BaseInputRules");
const BaseKeymap_1 = require("./BaseKeymap");
const BaseStyles_1 = require("./BaseStyles");
tslib_1.__exportStar(require("./BaseSchema"), exports);
tslib_1.__exportStar(require("./BaseStyles"), exports);
tslib_1.__exportStar(require("./BaseKeymap"), exports);
tslib_1.__exportStar(require("./BaseInputRules"), exports);
const BasePreset = (builder, opts) => {
    var _a;
    builder
        .use(BaseSchema_1.BaseSchema, (_a = opts.baseSchema) !== null && _a !== void 0 ? _a : {})
        .use(BaseKeymap_1.BaseKeymap)
        .use(BaseInputRules_1.BaseInputRules)
        .use(BaseStyles_1.BaseStyles);
};
exports.BasePreset = BasePreset;
