"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Clipboard = exports.clipboardUtils = void 0;
const tslib_1 = require("tslib");
const clipboard_1 = require("./clipboard");
const clipboardUtils = tslib_1.__importStar(require("./utils"));
exports.clipboardUtils = clipboardUtils;
const Clipboard = (builder, opts) => {
    builder.addPlugin((deps) => (0, clipboard_1.clipboard)({
        yfmParser: deps.parser,
        textParser: deps.parserWithoutAttrs,
        serializer: deps.serializer,
        pasteFileHandler: opts.pasteFileHandler,
    }), builder.PluginPriority.VeryLow);
};
exports.Clipboard = Clipboard;
