import type { Action, ExtensionAuto } from '../../../core';
import * as TableHelpers from './helpers';
import * as TableActions from './actions';
export { TableHelpers, TableActions };
export { TableNode, TableAttrs, CellAlign as TableCellAlign } from './const';
export declare const Table: ExtensionAuto;
declare global {
    namespace YfmEditor {
        interface Actions {
            createTable: Action;
            deleteTable: Action;
        }
    }
}
