import type { Action, ExtensionAuto } from '../../../core';
import { vAction } from './const';
import { VideoService } from './VideoSpecs/md-video';
import { VideoSpecsOptions } from './VideoSpecs';
export { videoNodeName, videoType } from './VideoSpecs';
export declare type VideoActionAttrs = {
    service: VideoService;
    url: string;
};
export declare type VideoOptions = VideoSpecsOptions & {};
export declare const Video: ExtensionAuto<VideoOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [vAction]: Action<VideoActionAttrs>;
        }
    }
}
