"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmDistSpecs = void 0;
const tslib_1 = require("tslib");
const noop_1 = tslib_1.__importDefault(require("lodash/noop"));
const YfmDistSpecs = (builder) => {
    // ignore yfm lint token
    builder.addNode('__yfm_lint', () => ({
        spec: {},
        fromYfm: { tokenSpec: { name: '__yfm_lint', type: 'node', ignore: true } },
        toYfm: noop_1.default,
    }));
};
exports.YfmDistSpecs = YfmDistSpecs;
