"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmPreset = void 0;
const tslib_1 = require("tslib");
const Checkbox_1 = require("./Checkbox");
const Color_1 = require("./Color");
const Math_1 = require("./Math");
const Monospace_1 = require("./Monospace");
const ImgSize_1 = require("./ImgSize");
const Video_1 = require("./Video");
const YfmDist_1 = require("./YfmDist");
const YfmCut_1 = require("./YfmCut");
const YfmFile_1 = require("./YfmFile");
const YfmHeading_1 = require("./YfmHeading");
const YfmNote_1 = require("./YfmNote");
const YfmTable_1 = require("./YfmTable");
const YfmTabs_1 = require("./YfmTabs");
tslib_1.__exportStar(require("./Checkbox"), exports);
tslib_1.__exportStar(require("./Color"), exports);
tslib_1.__exportStar(require("./ImgSize"), exports);
tslib_1.__exportStar(require("./Math"), exports);
tslib_1.__exportStar(require("./Monospace"), exports);
tslib_1.__exportStar(require("./Video"), exports);
tslib_1.__exportStar(require("./YfmDist"), exports);
tslib_1.__exportStar(require("./YfmCut"), exports);
tslib_1.__exportStar(require("./YfmFile"), exports);
tslib_1.__exportStar(require("./YfmHeading"), exports);
tslib_1.__exportStar(require("./YfmNote"), exports);
tslib_1.__exportStar(require("./YfmTable"), exports);
tslib_1.__exportStar(require("./YfmTabs"), exports);
const YfmPreset = (builder, opts) => {
    var _a, _b, _c, _d, _e, _f, _g;
    builder
        .use(Checkbox_1.Checkbox, (_a = opts.checkbox) !== null && _a !== void 0 ? _a : {})
        .use(Color_1.Color)
        .use(ImgSize_1.ImgSize, (_b = opts.imgSize) !== null && _b !== void 0 ? _b : {})
        .use(Math_1.Math)
        .use(Monospace_1.Monospace)
        .use(Video_1.Video, (_c = opts.video) !== null && _c !== void 0 ? _c : {})
        .use(YfmDist_1.YfmDist)
        .use(YfmCut_1.YfmCut, (_d = opts.yfmCut) !== null && _d !== void 0 ? _d : {})
        .use(YfmNote_1.YfmNote, (_e = opts.yfmNote) !== null && _e !== void 0 ? _e : {})
        .use(YfmFile_1.YfmFile)
        .use(YfmHeading_1.YfmHeading, (_f = opts.yfmHeading) !== null && _f !== void 0 ? _f : {})
        .use(YfmTable_1.YfmTable, (_g = opts.yfmTable) !== null && _g !== void 0 ? _g : {})
        .use(YfmTabs_1.YfmTabs);
};
exports.YfmPreset = YfmPreset;
