"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmSpecsPreset = void 0;
const tslib_1 = require("tslib");
const CheckboxSpecs_1 = require("./Checkbox/CheckboxSpecs");
const ColorSpecs_1 = require("./Color/ColorSpecs");
const MathSpecs_1 = require("./Math/MathSpecs");
const MonospaceSpecs_1 = require("./Monospace/MonospaceSpecs");
const ImgSizeSpecs_1 = require("./ImgSize/ImgSizeSpecs");
const VideoSpecs_1 = require("./Video/VideoSpecs");
const YfmDistSpecs_1 = require("./YfmDist/YfmDistSpecs");
const YfmCutSpecs_1 = require("./YfmCut/YfmCutSpecs");
const YfmFileSpecs_1 = require("./YfmFile/YfmFileSpecs");
const YfmHeadingSpecs_1 = require("./YfmHeading/YfmHeadingSpecs");
const YfmNoteSpecs_1 = require("./YfmNote/YfmNoteSpecs");
const YfmTableSpecs_1 = require("./YfmTable/YfmTableSpecs");
const YfmTabsSpecs_1 = require("./YfmTabs/YfmTabsSpecs");
tslib_1.__exportStar(require("./Checkbox/CheckboxSpecs"), exports);
tslib_1.__exportStar(require("./Color/ColorSpecs"), exports);
tslib_1.__exportStar(require("./ImgSize/ImgSizeSpecs"), exports);
tslib_1.__exportStar(require("./Math/MathSpecs"), exports);
tslib_1.__exportStar(require("./Monospace/MonospaceSpecs"), exports);
tslib_1.__exportStar(require("./Video/VideoSpecs"), exports);
tslib_1.__exportStar(require("./YfmDist/YfmDistSpecs"), exports);
tslib_1.__exportStar(require("./YfmCut/YfmCutSpecs"), exports);
tslib_1.__exportStar(require("./YfmFile/YfmFileSpecs"), exports);
tslib_1.__exportStar(require("./YfmHeading/YfmHeadingSpecs"), exports);
tslib_1.__exportStar(require("./YfmNote/YfmNoteSpecs"), exports);
tslib_1.__exportStar(require("./YfmTable/YfmTableSpecs"), exports);
tslib_1.__exportStar(require("./YfmTabs/YfmTabsSpecs"), exports);
const YfmSpecsPreset = (builder, opts) => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j;
    builder
        .use(CheckboxSpecs_1.CheckboxSpecs, (_a = opts.checkbox) !== null && _a !== void 0 ? _a : {})
        .use(ColorSpecs_1.ColorSpecs, (_b = opts.color) !== null && _b !== void 0 ? _b : {})
        .use(ImgSizeSpecs_1.ImgSizeSpecs, (_c = opts.imgSize) !== null && _c !== void 0 ? _c : {})
        .use(MathSpecs_1.MathSpecs)
        .use(MonospaceSpecs_1.MonospaceSpecs)
        .use(VideoSpecs_1.VideoSpecs, (_d = opts.video) !== null && _d !== void 0 ? _d : {})
        .use(YfmDistSpecs_1.YfmDistSpecs)
        .use(YfmCutSpecs_1.YfmCutSpecs, (_e = opts.yfmCut) !== null && _e !== void 0 ? _e : {})
        .use(YfmNoteSpecs_1.YfmNoteSpecs, (_f = opts.yfmNote) !== null && _f !== void 0 ? _f : {})
        .use(YfmFileSpecs_1.YfmFileSpecs)
        .use(YfmHeadingSpecs_1.YfmHeadingSpecs, (_g = opts.yfmHeading) !== null && _g !== void 0 ? _g : {})
        .use(YfmTableSpecs_1.YfmTableSpecs, (_h = opts.yfmTable) !== null && _h !== void 0 ? _h : {})
        .use(YfmTabsSpecs_1.YfmTabsSpecs, (_j = opts.yfmTabs) !== null && _j !== void 0 ? _j : {});
};
exports.YfmSpecsPreset = YfmSpecsPreset;
