"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.icons = void 0;
const tslib_1 = require("tslib");
const Tabs_1 = tslib_1.__importDefault(require("./Tabs"));
const Mono_1 = tslib_1.__importDefault(require("./Mono"));
const icons_1 = require("@gravity-ui/icons");
exports.icons = {
    undo: { data: icons_1.ArrowUturnCcwLeft },
    redo: { data: icons_1.ArrowUturnCwRight },
    bold: { data: icons_1.Bold },
    italic: { data: icons_1.Italic },
    underline: { data: icons_1.Underline },
    strikethrough: { data: icons_1.Strikethrough },
    mono: { data: Mono_1.default },
    mark: { data: icons_1.FontCursor },
    textColor: { data: icons_1.Font },
    headline: { data: icons_1.Heading },
    h1: { data: icons_1.Heading1 },
    h2: { data: icons_1.Heading2 },
    h3: { data: icons_1.Heading3 },
    h4: { data: icons_1.Heading4 },
    h5: { data: icons_1.Heading5 },
    h6: { data: icons_1.Heading6 },
    bulletList: { data: icons_1.ListUl },
    orderedList: { data: icons_1.ListOl },
    sink: { data: icons_1.TextIndent },
    lift: { data: icons_1.TextOutdent },
    cut: { data: icons_1.Scissors },
    note: { data: icons_1.Sticker },
    code: { data: icons_1.Code },
    codeBlock: { data: icons_1.FileCode },
    link: { data: icons_1.Link },
    image: { data: icons_1.Picture },
    iframe: { data: icons_1.ChevronsExpandHorizontal },
    table: { data: icons_1.LayoutList },
    quote: { data: icons_1.QuoteClose },
    checklist: { data: icons_1.SquareCheck },
    horizontalRule: { data: icons_1.Minus },
    functionInline: { data: icons_1.Function },
    functionBlock: { data: icons_1.CurlyBracketsFunction },
    tabs: { data: Tabs_1.default },
};
