import type { ActionStorage } from '../../core';
import type { ToolbarData } from '../Toolbar';
import type { ToolbarGroupData } from '../ToolbarGroup';
import type { ToolbarListButtonData } from '../ToolbarListButton';
import { type ToolbarGroupItemData, type ToolbarItemData, type ToolbarSingleItemData } from '../types';
export declare type WToolbarData = ToolbarData<ActionStorage>;
export declare type WToolbarItemData = ToolbarItemData<ActionStorage>;
export declare type WToolbarSingleItemData = ToolbarSingleItemData<ActionStorage>;
export declare type WToolbarGroupData = ToolbarGroupData<ActionStorage>;
export declare type WToolbarGroupItemData = ToolbarGroupItemData<ActionStorage>;
export declare type WToolbarListButtonData = ToolbarListButtonData<ActionStorage>;
export declare const wHistoryGroupConfig: WToolbarGroupData;
/** Bold, Italic, Underline, Strike buttons group */
export declare const wBoldItemData: WToolbarSingleItemData;
export declare const wItalicItemData: WToolbarSingleItemData;
export declare const wBiusGroupConfig: WToolbarGroupData;
export declare const wHeadingListConfig: WToolbarListButtonData;
export declare const wListsListConfig: WToolbarListButtonData;
export declare const wCheckboxItemData: WToolbarSingleItemData;
export declare const wQuoteItemData: WToolbarSingleItemData;
export declare const wCutItemData: WToolbarSingleItemData;
export declare const wNoteItemData: WToolbarSingleItemData;
export declare const wTableItemData: WToolbarSingleItemData;
export declare const wCodeItemData: WToolbarSingleItemData;
export declare const wCodeBlockItemData: WToolbarItemData;
export declare const wCodeListConfig: WToolbarListButtonData;
export declare const wHruleItemData: WToolbarItemData;
export declare const wMathInlineItemData: WToolbarSingleItemData;
export declare const wTabsItemData: WToolbarSingleItemData;
export declare const wMathBlockItemData: WToolbarSingleItemData;
export declare const wMathListConfig: WToolbarListButtonData;
export declare const wHiddenData: WToolbarItemData[];
/** prepared wysiwyg toolbar config */
export declare const wToolbarConfig: WToolbarData;
