import type { Command } from 'prosemirror-state';
import type { Action, ExtensionAuto } from '../../../core';
import { BaseSchemaSpecsOptions } from './BaseSchemaSpecs';
export { BaseNode, pType } from './BaseSchemaSpecs';
declare const pAction = "toParagraph";
export declare const toParagraph: Command;
export declare type BaseSchemaOptions = BaseSchemaSpecsOptions & {
    paragraphKey?: string | null;
};
export declare const BaseSchema: ExtensionAuto<BaseSchemaOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [pAction]: Action;
        }
    }
}
