import { Plugin } from 'prosemirror-state';
import '../../../types/spec';
import { Parser, Serializer } from '../../../core';
export declare type ClipboardPluginOptions = {
    yfmParser: Parser;
    textParser: Parser;
    serializer: Serializer;
    pasteFileHandler?: (file: File) => void;
};
export declare const clipboard: ({ textParser, yfmParser, serializer, pasteFileHandler, }: ClipboardPluginOptions) => Plugin<any>;
