import type { Action, ExtensionAuto } from '../../../core';
import { CodeBlockSpecsOptions } from './CodeBlockSpecs';
import { cbAction } from './const';
export { resetCodeblock } from './commands';
export { codeBlockNodeName, codeBlockLangAttr, codeBlockType } from './CodeBlockSpecs';
export declare type CodeBlockOptions = CodeBlockSpecsOptions & {
    codeBlockKey?: string | null;
};
export declare const CodeBlock: ExtensionAuto<CodeBlockOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [cbAction]: Action;
        }
    }
}
