import type { Extension, ExtensionAuto } from '../../core';
import { BreaksSpecsOptions } from './Breaks/BreaksSpecs';
import { DeflistSpecsOptions } from './Deflist/DeflistSpecs';
import { HeadingSpecsOptions } from './Heading/HeadingSpecs';
import { CodeBlockSpecsOptions } from './CodeBlock/CodeBlockSpecs';
export * from './Bold/BoldSpecs';
export * from './Code/CodeSpecs';
export * from './Link/LinkSpecs';
export * from './Italic/ItalicSpecs';
export * from './Strike/StrikeSpecs';
export * from './Underline/UnderlineSpecs';
export * from './Mark/MarkSpecs';
export * from './Subscript/SubscriptSpecs';
export * from './Superscript/SuperscriptSpecs';
export * from './Html';
export * from './Breaks/BreaksSpecs';
export * from './Blockquote/BlockquoteSpecs';
export * from './CodeBlock/CodeBlockSpecs';
export * from './Deflist/DeflistSpecs';
export * from './Image/ImageSpecs';
export * from './Lists/ListsSpecs';
export * from './Table/TableSpecs';
export * from './Heading/HeadingSpecs';
export * from './HorizontalRule/HorizontalRuleSpecs';
export declare type MarkdownMarksSpecsPresetOptions = {};
export declare const MarkdownMarksSpecsPreset: ExtensionAuto<MarkdownMarksSpecsPresetOptions>;
export declare type MarkdownBlocksSpecsPresetOptions = {
    image?: false | Extension;
    breaks?: BreaksSpecsOptions;
    codeBlock?: CodeBlockSpecsOptions;
    deflist?: DeflistSpecsOptions;
    heading?: false | Extension | HeadingSpecsOptions;
};
export declare const MarkdownBlocksSpecsPreset: ExtensionAuto<MarkdownBlocksSpecsPresetOptions>;
