import type { Action, ExtensionAuto } from '../../../core';
import { colorAction, colorMarkName, Colors } from './const';
import './colors.css';
export { colorClassName, Colors } from './const';
export { colorMarkName, colorType } from './ColorSpecs';
export declare type ColorActionParams = {
    [colorMarkName]: string;
};
export declare const Color: ExtensionAuto;
declare global {
    namespace YfmEditor {
        interface Actions {
            [colorAction]: Action<ColorActionParams, Colors>;
        }
    }
}
