import { Plugin } from 'prosemirror-state';
import '@diplodoc/transform/dist/js/yfm';
import '@diplodoc/transform/dist/css/yfm.css';
import './yfm.css';
import { YfmDistSpecs } from './YfmDistSpecs';
export const YfmDist = (builder) => {
    // ignore yfm lint token
    builder.use(YfmDistSpecs);
    builder.addPlugin(() => new Plugin({
        props: {
            attributes: {
                class: 'yfm yfm_no-list-reset',
            },
        },
    }));
};
