import { Node as PmNode, ResolvedPos } from 'prosemirror-model';
import { Predicate } from 'prosemirror-utils';
import type { EditorView } from 'prosemirror-view';
export declare const isTableNode: Predicate;
export declare const isTableBodyNode: Predicate;
export declare const isTableRowNode: Predicate;
export declare const isTableCellNode: Predicate;
export declare const findParentTable: (selection: import("prosemirror-state").Selection) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentTableBody: (selection: import("prosemirror-state").Selection) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentTableRow: (selection: import("prosemirror-state").Selection) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentTableCell: (selection: import("prosemirror-state").Selection) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentTableFromPos: ($pos: ResolvedPos) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentTableBodyFromPos: ($pos: ResolvedPos) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentTableRowFromPos: ($pos: ResolvedPos) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentTableCellFromPos: ($pos: ResolvedPos) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findChildTableRows: (node: PmNode) => import("prosemirror-utils").NodeWithPos[];
export declare const findChildTableCells: (node: PmNode) => import("prosemirror-utils").NodeWithPos[];
export declare const findChildTableBody: (node: PmNode) => import("prosemirror-utils").NodeWithPos[];
export declare const getTableDimensions: (node: PmNode | Node) => {
    rows: number;
    cols: number;
};
export declare function atEndOfCell(view: EditorView, dir: number): number | null;
