import type { Command } from 'prosemirror-state';
import { Colors } from './const';
export { chainCommands as chainOR } from 'prosemirror-commands';
/**
 * @unsafe
 *
 * Combine a number of command functions into a single function
 * (which calls them one by one until one returns false).
 * If all commands are executed successfully, the changes are applied in a single transaction.
 * If at least one command fails, no changes are applied.
 */
export declare const chainAND: (...commands: Command[]) => Command;
export declare const validateClassNameColorName: (color: string) => boolean;
export declare const parseStyleColorValue: (color: string) => Colors | null;
