import type { ExtensionAuto } from '../../core';
import { CheckboxSpecsOptions } from './Checkbox/CheckboxSpecs';
import { ColorSpecsOptions } from './Color/ColorSpecs';
import { ImgSizeSpecsOptions } from './ImgSize/ImgSizeSpecs';
import { VideoSpecsOptions } from './Video/VideoSpecs';
import { YfmCutSpecsOptions } from './YfmCut/YfmCutSpecs';
import { YfmHeadingSpecsOptions } from './YfmHeading/YfmHeadingSpecs';
import { YfmNoteSpecsOptions } from './YfmNote/YfmNoteSpecs';
import { YfmTableSpecsOptions } from './YfmTable/YfmTableSpecs';
import { YfmTabsSpecsOptions } from './YfmTabs/YfmTabsSpecs';
export * from './Checkbox/CheckboxSpecs';
export * from './Color/ColorSpecs';
export * from './ImgSize/ImgSizeSpecs';
export * from './Math/MathSpecs';
export * from './Monospace/MonospaceSpecs';
export * from './Video/VideoSpecs';
export * from './YfmDist/YfmDistSpecs';
export * from './YfmCut/YfmCutSpecs';
export * from './YfmFile/YfmFileSpecs';
export * from './YfmHeading/YfmHeadingSpecs';
export * from './YfmNote/YfmNoteSpecs';
export * from './YfmTable/YfmTableSpecs';
export * from './YfmTabs/YfmTabsSpecs';
export declare type YfmSpecsPresetOptions = {
    checkbox?: CheckboxSpecsOptions;
    color?: ColorSpecsOptions;
    video?: VideoSpecsOptions;
    imgSize?: ImgSizeSpecsOptions;
    yfmCut?: YfmCutSpecsOptions;
    yfmNote?: YfmNoteSpecsOptions;
    yfmTable?: YfmTableSpecsOptions;
    yfmTabs?: YfmTabsSpecsOptions;
    yfmHeading?: YfmHeadingSpecsOptions;
};
export declare const YfmSpecsPreset: ExtensionAuto<YfmSpecsPresetOptions>;
