export declare const i18n: <G extends "bold" | "code" | "italic" | "strike" | "underline" | "mark" | "quote" | "mono" | "table" | "undo" | "redo" | "heading" | "heading1" | "heading2" | "heading3" | "heading4" | "heading5" | "heading6" | "list" | "ulist" | "olist" | "list__action_sink" | "list__action_lift" | "checkbox" | "cut" | "note" | "code_inline" | "codeblock" | "hrule" | "math" | "math_inline" | "math_block" | "more_action" | "tabs", S extends string>(key: G | (string extends S ? S : never), params?: {
    [key: string]: any;
} | undefined) => S extends G ? {
    undo: string;
    redo: string;
    bold: string;
    italic: string;
    underline: string;
    strike: string;
    mono: string;
    mark: string;
    heading: string;
    heading1: string;
    heading2: string;
    heading3: string;
    heading4: string;
    heading5: string;
    heading6: string;
    list: string;
    ulist: string;
    olist: string;
    list__action_sink: string;
    list__action_lift: string;
    checkbox: string;
    quote: string;
    cut: string;
    note: string;
    table: string;
    code: string;
    code_inline: string;
    codeblock: string;
    hrule: string;
    math: string;
    math_inline: string;
    math_block: string;
    more_action: string;
    tabs: string;
}[G] : string;
