import { Selection } from './Selection';
import { Placeholder } from './Placeholder';
import { Cursor } from './Cursor';
import { History } from './History';
import { Clipboard } from './Clipboard';
import { ReactRendererExtension } from './ReactRenderer';
export * from './Cursor';
export * from './History';
export * from './Clipboard';
export * from './Selection';
export * from './Placeholder';
export * from './ReactRenderer';
export const BehaviorPreset = (builder, opts) => {
    var _a, _b, _c, _d;
    builder
        .use(Selection)
        .use(Placeholder, (_a = opts.placeholder) !== null && _a !== void 0 ? _a : {})
        .use(Cursor, (_b = opts.cursor) !== null && _b !== void 0 ? _b : {})
        .use(History, (_c = opts.history) !== null && _c !== void 0 ? _c : {})
        .use(Clipboard, (_d = opts.clipboard) !== null && _d !== void 0 ? _d : {})
        .use(ReactRendererExtension, opts.reactRenderer);
};
