import { Command } from 'prosemirror-state';
export declare const ignoreIfCursorInsideMathInline: Command;
/**
 * If cursor at the beginning of MathInline:
 * - if math is empty – remove anchor
 * - if math has content – select node with NodeSelection
 */
export declare const removeEmptyMathInlineIfCursorIsAtBeginning: Command;
/**
 * If MathInline is before cursor – move cursor to the end of the math
 */
export declare const moveCursorToEndOfMathInline: Command;
