import type { Action, ExtensionAuto } from '../../../core';
import './index.css';
export { MathNode, mathBType, mathIType } from './MathSpecs';
export { MathBlockNodeView, MathInlineNodeView } from './view-and-edit';
declare const mathIAction = "addMathInline";
declare const mathBAction = "toMathBlock";
export declare const Math: ExtensionAuto;
declare global {
    namespace YfmEditor {
        interface Actions {
            [mathIAction]: Action;
            [mathBAction]: Action;
        }
    }
}
