import { Command } from 'prosemirror-state';
export declare const liftEmptyBlockFromCut: Command;
export declare const exitFromCutTitle: Command;
/**
 * Deletes the cut if the cursor is at the beginning of the title.
 * Cut will be replaced with his title converted to paragraph and his content.
 */
export declare const removeCut: Command;
/**
 * If the cursor is at the beginning of the first paragraph in cut's content,
 * moves the cursor to the end of the cut's title.
 */
export declare const backToCutTitle: Command;
