import { findParentNodeOfType, removeParentNodeOfType } from 'prosemirror-utils';
import { yfmTableType } from '../utils';
export const removeYfmTable = (state, dispatch) => {
    const parentTable = findParentNodeOfType(yfmTableType(state.schema))(state.selection);
    if (!parentTable)
        return false;
    dispatch === null || dispatch === void 0 ? void 0 : dispatch(removeParentNodeOfType(parentTable.node.type)(state.tr));
    return true;
};
